{
  "name": "safelite-nextgen-playwright-tests",
  "version": "0.1.0",
  "description": "Automated testing framework for Safelite FMG using Playwright with TypeScript",
  "directories": {
    "test": "tests"
  },
  "scripts": {
    "test": "playwright test",
    "test:headed": "playwright test --headed",
    "test:debug": "playwright test --debug",
    "test:smoke": "playwright test --grep @smoke",
    "test:report": "playwright test --grep @test_report",
    "report": "playwright show-report",
    "install": "playwright install",
    "install:deps": "playwright install-deps"
  },
  "keywords": [],
  "license": "ISC",
  "dependencies": {
    "axios": "^1.9.0",
    "axios-retry": "^4.5.0"
  },
  "devDependencies": {
    "@faker-js/faker": "^9.8.0",
    "@playwright/test": "^1.52.0",
    "@types/dotenv-safe": "^8.1.6",
    "@types/node": "^22.15.32",
    "dotenv-safe": "^9.1.0",
    "eslint": "^9.28.0",
    "luxon": "^3.6.1",
    "ortoni-report": "^3.0.2",
    "playwright-jira-reporter": "^1.0.9",
    "safelite-playwright-core": "^1.0.26",
    "typescript": "^5.8.3"
  },
  "private": "true"
}
